ofono (2.18-2ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Sep 2025 10:56:01 +0200

ofono (2.18-2) unstable; urgency=medium

  * debian/control:
    + Change ofono-dev from M-A:foreign to M-A:same. (Closes: #1115560).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Sep 2025 11:31:38 +0200

ofono (2.18-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Aug 2025 08:31:06 +0200

ofono (2.18-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Drop patches 0003, 0004 and 0005. All applied upstream.
    + Trivially rebase patches 1002, 1003, and 1004.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Aug 2025 23:46:39 +0200

ofono (2.16-5ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 May 2025 10:56:41 +0200

ofono (2.16-5) unstable; urgency=medium

  * ofono-fcc-unlock: Don't bring the modem online for FCC-unlocking. Simply
    power it up (and down afterwards).
  * ofono-fcc-unlock: Support bringing the modem online after FCC-unlocking.
    Configurable via /etc/default/ofono.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 17:30:13 +0200

ofono (2.16-4) unstable; urgency=medium

  * debian/:
    + Provide ofono-fcc-unlock helper script.
    + Run ofono-fcc-unlock as oneshot systemd service at boot.
    + »Knick« FCC unlock scripts from modemmanager at build time.
  * debian/control:
    + Avoid parallel installation of ofono and modemmanager. They compete with
      one another for modem hardware control.
  * debian/README.Debian:
    + Explain about FCC modem unlocking when using ofono.
  * debian/ofono.default:
    + Disable FCC unlocking by default.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 16:49:21 +0200

ofono (2.16-3) unstable; urgency=medium

  * debian/patches:
    + Add 1006_mbimmodem-sim-add-support-for-querying-IMSI-with-MBI.patch.
      mbimmodem: sim: add support for querying IMSI with MBIMEx 3.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 May 2025 21:25:54 +0200

ofono (2.16-2) unstable; urgency=medium

  * debian/patches:
    + Add patches 1002, 1003, 1004 and 1005. Add support for MBIM PCIe modems,
      esp. the MediaTek T700 5G GSM modem.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Apr 2025 09:53:39 +0200

ofono (2.16-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Apr 2025 17:12:55 +0200

ofono (2.16-1) unstable; urgency=medium

  [ Sicelo A. Mhlongo ]
  * New upstream version.
    - CVE-2024-7537: qmi: sms: Fix possible out-of-bounds read. (Closes:
      #1099190).
    - handsfree-audio: use correct signature for GetCards. (Closes:
      #1010666).
  * debian/patches:
    + Drop patches that have been merged by upstream
    + Add 0003-gdbus-fix-double-free.patch  Fix for double-free in
      gdbus/watch.c.
    + Add 0004-smsutil-fix-possible-buffer-overflow.patch. Fix buffer overflow
      bugs in src/smsutil.c.
    + Comply with DEP-3 for 0001-doc-ofonod.8-escape-minus-sign.patch.
      Don't forward upstream.
  * debian/control:
    + Update homepage URL
    + Bump Standards-Version to 4.7.2
  * debian/copyright:
    + Update Upstream-Contact URL
    + Update auto-generated attributions

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.
    + Use new FSF mailing address.
  * debian/ofono.examples:
    + Add file. Install files from examples/ folder into doc directory.
  * debian/patches:
    + Add 1001_typo-fixes.patch. Various typo fixes.
  * debian/ofono*.init:
    + Source /lib/lsb/init-function (not /usr/lib/lsb/init-functions anymore).
  * debian/rules:
    + Drop override_dh_strip. The dbgsym migration is over.
    + Enable all hardening build flags.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 23:10:48 +0200

ofono (2.14-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.
  * Dropped changes, obsolete:
    - Configure with --enable-android-wakelock:
      - dropped upstream in 1.21.
    - Enable parallel builds:
      - default in compat level 13.
    - Build-depend on libc-ares-dev
      - dropped in 1.21.
    - Build-depend on libsystemd-dev:
      - merged in Debian
    - Use the upstream systemd unit instead of an Ubuntu-specific one.
      - already done in 1.31-2ubuntu1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 18:13:04 +0100

ofono (2.14-1) unstable; urgency=medium

  [ Sicelo A. Mhlongo ]
  * New upstream version 2.14. (Closes: #1070371).
    - CVE-2023-4232: Fix stack overflow bug triggered within the
      decode_status_report() function during the SMS decoding.
    - CVE-2023-4235: Fix stack overflow bug triggered within the
      decode_deliver_report() function during the SMS decoding.
    - CVE-2024-7543,
      CVE-2024-7544,
      CVE-2024-7545,
      CVE-2024-7546: Fix flaws within the parsing of STK command PDUs.
      (lack of proper validation of the length of user-supplied data
      prior to copying it to a heap-based buffer)
    - CVE-2024-7547: Fix flaw within the parsing of SMS PDUs
      (lack of proper validation of the length of user-supplied data
      prior to copying it to a stack-based buffer).
  * debian/patches: Add upstream patches 0003-util-ensure-decode_hex_own_buf-is-
      passed-a-valid-buf.patch, 0004-atmodem-sms-ensure-buffer-is-initialized-
      before-use.patch, 0005-ussd-ensure-ussd-content-fits-in-buffers.patch:
    + CVE-2024-7539: Fix flaw within the parsing of responses from AT+CUSD
      commands (lack of proper validation of the length of user-supplied
      data prior to copying it to a stack-based buffer).
    + CVE-2024-7540: Fix flaw within the parsing of responses from AT+CMGL
      commands (lack of proper initialization of memory prior to accessing
      it).
    + CVE-2024-7541: Fix flaw within the parsing of responses from AT+CMT
      commands (lack of proper initialization of memory prior to accessing
      it).
    + CVE-2024-7542: Fix flaw within the parsing of responses from AT+CMGR
      commands (lack of proper initialization of memory prior to accessing
      it).

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/changelog:
    + White-space cleanup in previous entries.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Jan 2025 13:38:11 +0100

ofono (2.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Use recent FSF address.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 16 Nov 2024 20:22:35 +0100

ofono (2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 15:56:32 +0100

ofono (2.10-1) unstable; urgency=medium

  [ Sicelo A. Mhlongo ]
  * New upstream version 2.10. (Closes: #995669)
  * d/patches: drop no longer needed patches for CVE-2023-2794.
  * drop support for mobile-broadband-provider-info.
  * d/control: use correct dbus dependency. (Closes: #955850)
  * comply with usrmerge requirements. (Closes: #1073646)
  * d/control: drop deprecated lsb-base dependency.

  [ Mike Gabriel ]
  * debian/copyright:
    + Add auto-generated copyright.in file for later tracking of copyright
      changes.
    + Rewrite file entirely.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 17 Sep 2024 12:55:23 +0200

ofono (1.31-4) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Add myself to Uploaders:.
  * debian/control:
    + Add to B-D: systemd-dev [linux-any]. (Closes: #1060578).
  * CVE-2023-2794, debian/patches:
    + Add CVE-2023-2794_p{1,2,3,4}.patch. Fix SMS decoder stack-based buffer
      overflow (remote code execution vulnerability within the decode_deliver()
      function). (Closes: #1069679).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 May 2024 10:12:08 +0200

ofono (1.31-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:38:27 +0000

ofono (1.31-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:24:23 +0000

ofono (1.31-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libc-ares-dev, libsystemd-dev.
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Configure with --enable-android-wakelock.
    - Install apport hook.
    - Enable parallel builds.
    - Use the upstream systemd unit instead of an Ubuntu-specific one.
  * Dropped changes, obsolete:
    - debian/ofono.maintscript: handle removal of obsolete upstart job on
      upgrade.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 15:58:48 -0700

ofono (1.31-3) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Mar 2020 15:55:33 +0100

ofono (1.31-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libc-ares-dev, libsystemd-dev.
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Configure with --enable-android-wakelock.
    - Install apport hook.
    - Enable parallel builds.
  * Dropped changes, included in Debian:
    - Build an ofono-scripts package.
  * Dropped changes, no longer needed:
    - Build-depend on dh-systemd.
    - Install ofono upstart script.
    - Don't install /usr/sbin/dundee.  No explanation for why this is
      omitted and it's now dbus-activated so no runtime impact if not used.
  * Drop undocumented lintian overrides.
  * debian/ofono.maintscript: handle removal of obsolete upstart job on
    upgrade.  This change can be dropped after 20.04 release.
  * Use the upstream systemd unit instead of an Ubuntu-specific one.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Feb 2020 16:06:08 -0800

ofono (1.31-2) unstable; urgency=medium

  * Team upload
  * debian/copyright: Update the copyright file and convert to dep5

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Jan 2020 01:43:46 +0100

ofono (1.31-1) unstable; urgency=medium

  * Team upload
  [ Helmut Grohne ]
  * Drop libc*-dev from ofono-dev Depends.
  * Move ofono.pc to /usr/share/pkgconfig.
  * Mark ofono-dev Multi-Arch: foreign. (Closes: #893941)

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12, use dh_missing instead of dh_install
    to list non-installed files
  * d/p/0002-Remove-After-syslog.target-from-systemd-.service-fil.patch:
    Remove After=syslog.target from systemd .service files, to please lintian
  * debian/control: Make ofono architecture linux-any, it uses signalfd that
    is linux only and would require porting
  * debian/control: Make ofono-dev depend against libdbus-1-dev and
    libglib2.0-dev, the pkg-config file Requires them
  * Create a new ofono-scripts package that ships the tests/ directory
    (Closes: #868377)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 29 Dec 2019 13:21:45 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog ofono`.
